Subject: Re: bnx2_poll panicking kernel

From: Patrick McHardy <[email-masked]>
Date: Mon, 14 Jul 2008 17:27:29 +0200

Jarek Poplawski wrote:
> Jarek Poplawski wrote, On 07/12/2008 11:49 AM:
> 
>> This isn't correct: htb_activate() needs cl->un.leaf.q->q.qlen > 0, and
>> only NET_XMIT_SUCCESS can guarantee this.
> 
> 
> ...Actually, it looks like even NET_XMIT_SUCCESS can't guarantee this
> (when returned after TC_ACT_QUEUED or TC_ACT_STOLEN), so additional qlen
> test is needed here.

The TC action code translation needs to be fixed instead.

I didn't manage to work on this this weekend as I intended, but
I'll take care of it soon unless someone beats me to it.